@echo off
Rem *********************************************************
Rem *** Batch File to Create ARGUS.TXT from NodeList File ***
Rem *********************************************************
Rem
Rem Requires the AWK.EXE program in the current directory or
Rem somewhere in the PATH environment variable.
Rem
Rem Requires the NL2ARGUS.AWK script in the current directory.
Rem
Rem Takes one input command line argument, that being the
Rem [path optional] filename of the nodelist file to use for
Rem program input.  This would typically be called from another
Rem batch file as:
Rem
Rem         daynbr /D5 call nl2argus.bat nodelist.@###
Rem
Rem The program will first try to make a backup copy of the
Rem existing ARGUS.TXT file, then run the AWK script to create
Rem a new ARGUS.TXT file based on the input nodelist.
Rem
Rem *********************************************************

if "%1" == "" goto error1
if not exist %1 goto error2

echo.
echo.
echo Processing nodelist file "%1".

if exist argus.txt copy argus.txt *.bak > nul
echo . > argus.txt
del argus.txt > nul

awk.exe -f nl2argus.awk >> argus.txt < %1
if errorlevel 1 goto error3

echo.
echo ARGUS.TXT file successfully created.
echo.
echo.
echo.
goto exit

:ERROR1
echo.
echo.
echo.
echo Missing command line argument!
goto errorcom

:ERROR2
echo.
echo.
echo.
echo Unable to find input file "%1"!
goto errorcom

:ERROR3
echo.
echo Unknown error returned from AWK processor!
:ERRORCOM
echo.
echo Usage:  MAKEADDR NodelistFileToRead
echo.
echo.
echo.

:EXIT

